Description

Currently, the error message when attempting to import a malformed CSV file is too simple, just says "The file is not a CSV file or
does not match the settings below". So it is difficult to identify problems with the CSV file.

The attached patch adds an exception message from Ruby's CSV class. It makes it much easier to debug the cause of importing

error.

detailed-error.png

Associated revisions

Revision 20756 - 2021-02-27 08:46 - Go MAEDA

Display more detailed error message when attempting to import malformed CSV file (#34762).

Patch by Go MAEDA.

History

#1 - 2021-02-21 03:31 - Go MAEDA

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#2 - 2021-02-27 08:45 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.
